KF5-CONFIG(1)

NAME
kf5-config - Prints Qt and Frameworks installation paths

SYNOPSIS

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path type] [--userpath type] [--install type] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIPTION

kf5-config is a command line program used to retrieve information about Frameworks installation or user paths.

Use this program to determine where the various aspects of the Frameworks installation reside on your system.

  Note

kf5-config is mostly a deprecated replacement for kde4-config, while the recommended tool to use instead is qtpaths (which is shipped with Qt™).

OPTIONS

--expandvars
    Expand ${prefix} and ${exec_prefix} in output.

--prefix
    Compiled in prefix for Frameworks libraries.

--exec-prefix
    Compiled in exec_prefix for Frameworks libraries.

--libsuffix
    Compiled in library path suffix.

--localprefix
    Prefix in $HOME used to write files.

--version
    Version of Qt™ and compiled in version string for Frameworks libraries and kf5-config.

--kde-version
    Compiled in version string for Frameworks libraries.

--types
    Print a list of all available KDE resource types.

--path type
    Search path for the specified type.

--userpath type
    User paths for the types: desktop|document

--install type
    Prefix to install resource files to.

--qt-prefix
    Installation prefix for Qt™.

--qt-binaries
    Location of installed Qt™ binaries.

--qt-libraries
    Location of installed Qt™ libraries.

--qt-plugins
    Location of installed Qt™ plugins.

EXAMPLES

Print the top-level Frameworks installation directory:

 % kf5-config --prefix

Print a list of all resource types:

 % kf5-config --types

Print the installed wallpaper path:

 % kf5-config --path wallpaper

SEE ALSO

kf5options(7)

BUGS

None known.

AUTHOR
Stephan Kulow <coolo@kde.org>.